> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Statement

> Returns a chronological list of all financial movements for the authenticated user's account, including card transactions (both pending and settled), deposits, and withdrawals.



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json get /user/statement
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /user/statement:
    get:
      tags:
        - User
      summary: Get Account Statement
      description: >-
        Returns a chronological list of all financial movements for the
        authenticated user's account, including card transactions (both pending
        and settled), deposits, and withdrawals.
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: startDate
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: endDate
          in: query
      responses:
        '200':
          description: Statement retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementResponse'
        '400':
          description: Bad request - invalid query parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationOrError'
        '401':
          description: Unauthorized - Invalid JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User or account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway - failed to fetch statement from Core API
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    StatementResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StatementItem'
        pagination:
          $ref: '#/components/schemas/StatementPagination'
      required:
        - data
        - pagination
    ValidationOrError:
      anyOf:
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error
    StatementItem:
      oneOf:
        - $ref: '#/components/schemas/StatementCardTransaction'
        - $ref: '#/components/schemas/StatementDeposit'
        - $ref: '#/components/schemas/StatementWithdrawal'
      discriminator:
        propertyName: type
        mapping:
          card_transaction:
            $ref: '#/components/schemas/StatementCardTransaction'
          deposit:
            $ref: '#/components/schemas/StatementDeposit'
          withdrawal:
            $ref: '#/components/schemas/StatementWithdrawal'
    StatementPagination:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasNext:
          type: boolean
      required:
        - nextCursor
        - hasNext
    ValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          properties:
            name:
              type: string
              enum:
                - ValidationError
            message:
              type: string
          required:
            - name
            - message
      required:
        - success
        - error
    StatementCardTransaction:
      type: object
      properties:
        type:
          type: string
          enum:
            - card_transaction
        id:
          type: string
        status:
          type: string
          enum:
            - pending
            - settled
            - cancelled
            - declined
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: number
        originalAmount:
          type: string
        originalCurrency:
          type: string
        originalDecimals:
          type: number
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        description:
          type: string
        authorizationId:
          type: number
        mcc:
          type: string
        authorizationCode:
          type: string
        merchant:
          $ref: '#/components/schemas/StatementMerchantDetails'
        entryMode:
          type: string
        billing:
          $ref: '#/components/schemas/StatementBillingDetails'
        transactionCurrency:
          $ref: '#/components/schemas/StatementCurrencyMetadata'
        cardId:
          type: string
          format: uuid
        cardToken:
          type: string
          nullable: true
        clearedAt:
          type: string
          nullable: true
          format: date-time
        isPending:
          type: boolean
        kind:
          type: string
          enum:
            - Payment
            - Refund
            - Reversal
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/StatementTransactionExecutionDetail'
        declineReason:
          $ref: '#/components/schemas/StatementDeclineReason'
        wallet:
          $ref: '#/components/schemas/StatementWallet'
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - originalAmount
        - originalCurrency
        - originalDecimals
        - isCredit
        - createdAt
        - updatedAt
        - description
        - authorizationId
        - mcc
        - authorizationCode
        - merchant
        - entryMode
        - billing
        - transactionCurrency
        - cardId
        - cardToken
        - clearedAt
        - isPending
        - kind
        - transactions
        - declineReason
        - wallet
    StatementDeposit:
      type: object
      properties:
        type:
          type: string
          enum:
            - deposit
        id:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: number
        fiatCurrency:
          type: string
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        txHash:
          type: string
        fromAddress:
          type: string
        chainId:
          type: number
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - fiatCurrency
        - isCredit
        - createdAt
        - description
        - txHash
        - fromAddress
        - chainId
    StatementWithdrawal:
      type: object
      properties:
        type:
          type: string
          enum:
            - withdrawal
        id:
          type: string
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: number
        fiatCurrency:
          type: string
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        txHash:
          type: string
          nullable: true
        toAddress:
          type: string
        chainId:
          type: number
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - fiatCurrency
        - isCredit
        - createdAt
        - description
        - txHash
        - toAddress
        - chainId
    StatementMerchantDetails:
      type: object
      properties:
        name:
          type: string
        city:
          type: string
          nullable: true
        country:
          type: string
        categoryCode:
          type: string
      required:
        - name
        - city
        - country
        - categoryCode
    StatementBillingDetails:
      type: object
      properties:
        billingAmount:
          type: string
        billingCurrency:
          $ref: '#/components/schemas/StatementCurrencyMetadata'
      required:
        - billingAmount
        - billingCurrency
    StatementCurrencyMetadata:
      type: object
      properties:
        symbol:
          type: string
          nullable: true
        code:
          type: string
        decimals:
          type: number
        name:
          type: string
          nullable: true
      required:
        - symbol
        - code
        - decimals
        - name
    StatementTransactionExecutionDetail:
      type: object
      properties:
        status:
          type: string
          nullable: true
        to:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        data:
          type: string
          nullable: true
        hash:
          type: string
          nullable: true
      required:
        - status
        - to
        - value
        - data
        - hash
    StatementDeclineReason:
      type: object
      nullable: true
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
    StatementWallet:
      type: object
      nullable: true
      properties:
        provider:
          type: string
          enum:
            - apple_pay
            - google_pay
            - samsung_pay
            - other
        deviceBrand:
          type: string
          nullable: true
        deviceModel:
          type: string
          nullable: true
        deviceType:
          type: string
          nullable: true
        deviceName:
          type: string
          nullable: true
      required:
        - provider
        - deviceBrand
        - deviceModel
        - deviceType
        - deviceName

````